Summary: A heuristic autodialer for PPP connections.
Name: wvdial
Version: 1.41
Release: 16
License: LGPL
Group: System Environment/Daemons
Source0: http://www.worldvisions.ca/wvdial/wvdial-%{version}.tar.gz
Patch0: wvdial-1.41-libs.patch
Buildroot: %{_tmppath}/wvdial-root
Requires: ppp >= 2.3.7

%description
WvDial automatically locates and configures modems and can log into
almost any ISP's server without special configuration. You need to
input the username, password, and phone number, and then WvDial will
negotiate the PPP connection using any mechanism needed.

%prep
%setup -q
%patch0 -p1 -b .libs

%build
%ifarch alpha
unset RPM_OPT_FLAGS
%endif
make \
	RPM_OPT_FLAGS="$RPM_OPT_FLAGS" \
	PREFIX=%{_prefix} \
	BINDIR=%{_bindir} \
	MANDIR=%{_mandir} \
	PPPDIR=%{_sysconfdir}/ppp/peers

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install \
	PREFIX=${RPM_BUILD_ROOT}%{_prefix} \
	BINDIR=${RPM_BUILD_ROOT}%{_bindir} \
	MANDIR=${RPM_BUILD_ROOT}%{_mandir} \
	PPPDIR=${RPM_BUILD_ROOT}%{_sysconfdir}/ppp/peers

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ANNOUNCE CHANGES* COPYING* README* wvdial/TODO
%attr(0755,root,root)	%{_bindir}/*
%attr(0644,root,root)	%{_mandir}/man1/*
%attr(0600,root,daemon)	%config %{_sysconfdir}/ppp/peers/wvdial

%changelog
* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Mon Jul 23 2001 Nalin Dahyabhai <nalin@redhat.com>
- bump the release and rebuild

* Wed Jul 11 2001 Nalin Dahyabhai <nalin@redhat.com>
- bump the release and rebuild

* Tue Jul  3 2001 Nalin Dahyabhai <nalin@redhat.com>
- change Copyright: tag to License:

* Mon Apr  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- include the actual TODO file in docs, not a dangling symlink to it (#34385)

* Mon Feb 12 2001 Nalin Dahyabhai <nalin@redhat.com>
- Merge in latest -libs patch from rp3.

* Mon Aug 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- Merge in latest -libs patch from rp3.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  2 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Sat Jun 17 2000 Bill Nottingham <notting@redhat.com>
- add %%defattr

* Fri Jun 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- Merge in latest -libs patch from rp3.

* Sun Jun  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- FHS fixes.

* Fri May  5 2000 Bill Nottingham <notting@redhat.com>
- fix build with more strict c++ compiler

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Fri Jan 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- sync up to copy in rp3's CVS repository for consistency, except for
  changes to Makefiles

* Thu Jan 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.41, backing out patches that are now in mainline source

* Sat Sep 18 1999 Michael K. Johnson <johnsonm@redhat.com>
- improved the speed up dialing patch
- improved the inheritance patch

* Fri Sep 17 1999 Michael K. Johnson <johnsonm@redhat.com>
- added explicit inheritance to wvdial.conf
- speed up dialing

* Mon Sep 13 1999 Michael K. Johnson <johnsonm@redhat.com>
- improved the chat mode fix to allow specifying the remotename
  so that multiple wvdial instances can't step on each other.

* Fri Sep 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- chat mode fix to make CHAP/PAP work with chat mode

* Mon Aug 02 1999 Michael K. Johnson <johnsonm@redhat.com>
- Packaged 1.40

* Wed Jul 28 1999 Michael K. Johnson <johnsonm@redhat.com>
- Initial Red Hat package
